Package org.eclipse.jgit.attributes

## Enum Attribute.State

- java.lang.Object
- - java.lang.Enum<Attribute.State>
  - - org.eclipse.jgit.attributes.Attribute.State

All Implemented Interfaces:
  `Serializable`, `Comparable<Attribute.State>`

Enclosing class:
  Attribute

    public static enum Attribute.State
    extends Enum<Attribute.State>

The attribute value state

### Enum Constant Summary

Enum Constants
`CUSTOM` the attribute is set to a custom value
`SET` the attribute is set
`UNSET` the attribute is unset

### Method Summary

All Methods Static Methods Concrete Methods
`static Attribute.State` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Attribute.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SET

    public static final Attribute.State SET

the attribute is set

#### UNSET

    public static final Attribute.State UNSET

the attribute is unset

#### CUSTOM

    public static final Attribute.State CUSTOM

the attribute is set to a custom value

### Method Detail

#### values

    public static Attribute.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Attribute.State c : Attribute.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Attribute.State valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null